/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2012 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.dialog;

import org.conqat.ide.commons.ui.dialog.MessageUtils;
import org.eclipse.swt.widgets.Display;

/**
 * This class contains additional methods w.r.t. {@link MessageUtils}.
 * 
 * @author bugariu
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating YELLOW Hash: CD929ED7F7EE80401952345E7B58AFAF
 */
public class MessageUtilsExtended {

	/** Opens an info dialog in the UI thread. */
	public static void showInfoInUIThread(final String title, final String message) {
		syncExec(new Runnable() {
			@Override
			public void run() {
				MessageUtils.showInfo(title, message);
			}
		});
	}

	/** Execute runnable in the UI thread */
	private static void syncExec(Runnable runnable) {
		Display.getDefault().syncExec(runnable);
	}
}
